Skip to main content
POST
Create a secure share link

Authorizations

Authorization
string
header
required

Dairo API key, e.g. dairo_test_... or dairo_live_...

Path Parameters

bucketId
string
required

Bucket identifier (buk_*).

objectId
string<uuid>
required

Storage object identifier.

Body

application/json

Options for a secure share link over a stored object.

password
string

Optional password the recipient must enter on the /s/ page.

maxUses
integer

Optional use cap. 1 = one-time (the /d/ download returns 410 Gone after the first use).

Required range: x >= 1
expiresAt
string<date-time>

Optional absolute expiry (RFC3339).

Response

Success

A secure (stateful) share link over a stored object.

object
string
Example:

"share_link"

id
string

Share-link id (shr_*).

objectId
string<uuid>
shareUrl
string

Branded /s/ share page URL (returned only at create time).

downloadUrl
string

Branded /d/ download URL (returned only at create time).

hasPassword
boolean
maxUses
integer | null
oneTime
boolean
usesCount
integer
expiresAt
string<date-time> | null
revoked
boolean
createdAt
string<date-time>